#!/bin/bash
# Script to run, just after a kickstart, which will start things rolling.
CDROM="/dev/cdrom"
if [ $# -eq 0 ]; then
	echo "Below is the usage info. Please note only the hostname is required."
        echo "Usage ksdaisy.sh {hostname} {ipaddr} {dnsaddr} {gateway} {netmask}"
        exit 1
fi
if [ "$2" == "" ]; then
	new_ip="192.168.1.21"
else
	new_ip="$2"
fi
if [ "$3" == "" ]; then
	new_dns="192.168.1.1"
else
	new_dns="$3"
fi
if [ "$4" == "" ]; then
	new_gateway="192.168.1.1"
else
	new_gateway="$4"
fi
if [ "$5" == "" ]; then
	new_netmask="255.255.255.0"
else
	new_netmask="$5"
fi
mount $CDROM /mnt
if [ $? -eq 0 ]; then
	umount $CDROM
	echo "CDROM mounting ok.....continuing"
else
	echo "CDROM could not be mounted.....exiting"
	exit 1
fi
ping -c 1 google.com
if [ $? -eq 0 ]; then
	echo "Internet connection working.....continuing"
else
	echo "Internet connection down.....exiting"
	exit 1
fi
echo "`date` -- Beginning Daisy Install ${1}.teleflora.com" >/tmp/verify.txt
wget -O - http://rtihardware.homelinux.com/ostools/install-ostools-1.13.pl | perl - --update
/d/ostools/bin/updateos.pl --ipaddr="$new_ip" --gateway="$new_gateway" --netmask="$new_netmask" --hostname=$1
/d/ostools/bin/updateos.pl --nameserver="$new_dns"
/d/ostools/bin/harden_linux.pl --iptables
mount $CDROM /mnt
cp /mnt/daisy.tar.gz /tmp
umount /mnt
cd /tmp
tar xvfz /tmp/daisy.tar.gz
/d/ostools/bin/updateos.pl --baremetal
#/d/ostools/bin/updateos.pl --ospatches
/d/ostools/bin/updateos.pl --daisy8
cp -rf /d/daisy/cubby /d/cubby
mv /d/putty /d/putty.orig
mv /d/server /d/server.orig
mv /d/menus /d/menus.orig
mv /d/daisy /tmp/daisy.fc5
mount -o loop /tmp/daisy-8.1.4-rhel5.iso /mnt
#/mnt/install-daisy.pl /d/daisy /tmp/daisy.fc5 /mnt
expect -c "set timeout 5;\
log_user 0;\
spawn /mnt/install-daisy.pl /d/daisy /tmp/daisy.fc5 /mnt;\
expect *==>*;\
send -- B\r;\
expect *==>*;\
send -- YES\r;\
interact;"
cd /tmp
umount /mnt
chmod +x /tmp/*.pl
rm -f /etc/cron.d/nightly-backup
rm -f /tmp/rtibackup.pl
cp -rf /d/cubby /d/daisy/cubby
mkdir /d/olddir
echo "Backing up putty,server, and menus....."
mv /d/putty /d/server /d/menus /d/olddir
mv /d/putty.orig /d/putty
mv /d/server.orig /d/server
mv /d/menus.orig /d/menus
echo "Restoring old session,inittab, and printers....."
cp -rf /tmp/session /d/startup
cp -rf /d/inittab /etc
cp -rf /d/printers.conf /etc/cups
/sbin/service cups restart
echo "Running dsyperms.pl...."
/d/daisy/bin/dsyperms.pl /d/daisy
echo "Running dsy-lpr-fixup.pl...."
/tmp/dsy-lpr-fixup.pl
echo "Installing FMA12FD_ALL.patch....."
/tmp/applypatch.pl --norestart --log-stderr /tmp/FMA12FD_ALL.patch
echo "Running Elavon Conversion...."
rm -f /d/daisy/elavctrl.pos
/tmp/applypatch.pl --log-stderr --norestart --convert-to-elavon  /tmp/Daisy_ElavonConversion.patch
echo "Installing OSTools 1.12...."
wget -O - http://rtihardware.homelinux.com/ostools/install-ostools-1.12.pl | perl - --update
echo "`date` -- End Daisy Install ${1}.teleflora.com" >>/tmp/verify.txt
# Verify
/tmp/verify.sh
echo "Remove the DVD from the drive"
echo "Please reboot the system......ctl-c to exit script then reboot...."
